ResourceException (Apache Geode 1.15.4)

org.apache.geode.cache

## Class ResourceException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.geode.GemFireException
        - - org.apache.geode.cache.CacheRuntimeException
          - - org.apache.geode.cache.ResourceException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    LowMemoryException

      public abstract class ResourceException
      extends CacheRuntimeException

  A Generic exception to indicate that a resource exception has occurred. This class is abstract so that only subclasses can be instantiated.
  Since:
    GemFire 6.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceException()` Creates a new instance of `ResourceException` without detail message.
    `ResourceException(String msg)` Constructs an instance of `ResourceException` with the specified detail message.
    `ResourceException(String msg, Throwable cause)` Constructs an instance of `ResourceException` with the specified detail message and cause.
    `ResourceException(Throwable cause)` Constructs an instance of `ResourceException` with the specified cause.

  - ### Method Summary

    - ### Methods inherited from class org.apache.geode.cache.CacheRuntimeException

      `toString`

    - ### Methods inherited from class org.apache.geode.GemFireException

      `getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceException

          public ResourceException()

      Creates a new instance of `ResourceException` without detail message.

    - #### ResourceException

          public ResourceException(String msg)

      Constructs an instance of `ResourceException` with the specified detail message.
      Parameters:
        `msg` - the detail message

    - #### ResourceException

          public ResourceException(String msg,
                                   Throwable cause)

      Constructs an instance of `ResourceException` with the specified detail message and cause.
      Parameters:
        `msg` - the detail message
        `cause` - the causal Throwable

    - #### ResourceException

          public ResourceException(Throwable cause)

      Constructs an instance of `ResourceException` with the specified cause.
      Parameters:
        `cause` - the causal Throwable